Taifa Identity. Docs
OpenAPI Developers

API reference

Security incident sessions

Management API contract View .md

3 management API operations for Security incident sessions.

GET/v1/security/people

Identities

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
subjectquerystringNoValidation: max length 200

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

GET/v1/people/{person_id}/sessions

Sessions

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
person_idpathstringYes

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/people/{person_id}/sessions/{session_id}/revoke

Revoke

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
person_idpathstringYes
session_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredMutation

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

Popular

Browse by section